# Interface ICefButton

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefButton = interface(ICefView)`

## Description

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_capi.h">CEF source file: /include/capi/views/cef_button_capi.h (cef_button_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefButton

## Overview

### Methods

| `function AsLabelButton: ICefLabelButton;`
| `procedure SetState(state_: TCefButtonState);`
| `function GetState: TCefButtonState;`
| `procedure SetInkDropEnabled(enabled_: boolean);`
| `procedure SetTooltipText(const tooltip_text: ustring);`
| `procedure SetAccessibleName(const name: ustring);`

### Properties

| `property State : TCefButtonState read GetState write SetState;`

## Description

### Methods

| `function AsLabelButton: ICefLabelButton;`
Returns this Button as a LabelButton or NULL if this is not a LabelButton. ###### Attributes GUID['{D3D2E8A0-9F9C-4BD8-B495-655976534281}']

| `procedure SetState(state_: TCefButtonState);`
Sets the current display state of the Button.

| `function GetState: TCefButtonState;`
Returns the current display state of the Button.

| `procedure SetInkDropEnabled(enabled_: boolean);`
Sets the Button will use an ink drop effect for displaying state changes.

| `procedure SetTooltipText(const tooltip_text: ustring);`
Sets the tooltip text that will be displayed when the user hovers the mouse cursor over the Button.

| `procedure SetAccessibleName(const name: ustring);`
Sets the accessible name that will be exposed to assistive technology (AT).

### Properties

| `property State : TCefButtonState read GetState write SetState;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.